<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Tests\Unit\Services\Analyzators\Validators;

use Seka\Portal\Modul\Statistiky\Tests\TestCase;
use Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators\LexicalFakturacia;

/**
 * Class LexicalFakturaciaTest
 *
 * @package Seka\Portal\Modul\Statistiky\Tests\Unit\Services\Analyzators\Validators
 */
class LexicalFakturaciaTest extends TestCase
{
    /**
     *
     */
    public function testValidateTrueValue()
    {
        $validator = new LexicalFakturacia();

        self::assertTrue($validator->validate('TRUE'));
    }

    /**
     *
     */
    public function testValidateFalseValue()
    {
        $validator = new LexicalFakturacia();

        self::assertTrue($validator->validate('FALSE'));
    }

    /**
     *
     */
    public function testValidateIncorrectValue()
    {
        $validator = new LexicalFakturacia();

        self::assertFalse($validator->validate('random'));
    }

    /**
     *
     */
    public function testGetErrorMsgWithError()
    {
        $validator = new LexicalFakturacia();
        $validator->validate('random');
        $message = sprintf('povolene hodnoty: %s, %s', implode(',', ['TRUE', 'FALSE']), 'random');
        $actualMessage = $validator->getErrorMsg('random');

        self::assertEquals($message, $actualMessage);
        self::assertIsString($actualMessage);
    }
}
